Bug 903264 - CVE-2012-6100 CVE-2012-6098 moodle various flaws [epel-5]
CVE-2012-6100 CVE-2012-6098 moodle various flaws [epel-5]
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: moodle (Show other bugs)
el5
All Linux
low Severity low
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-6100 CVE-2012-6098
  Show dependency treegraph
 
Reported: 2013-01-23 10:37 EST by Jan Lieskovsky
Modified: 2013-02-08 20:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-08 20:47:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-01-23 10:37:06 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-5 tracking bug for moodle: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-01-23 10:37:13 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=902731,903264
Comment 2 Jan Lieskovsky 2013-01-23 10:37:40 EST
Adding parent bug CVE-2012-6098.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=903264,902731,903250
Comment 3 Jan Lieskovsky 2013-01-23 10:41:29 EST
(To who will build the EPEL-5 update) - I think the Fedora EPEL 5 version would be affected by the:

MSA-13-0007: Potential exploit in messaging

Description:       The messaging system was not checking the user's
                    session correctly when messages are sent.
Issue summary:     Course message sending can be exploited by CSRF
Severity/Risk:     Minor
Versions affected: 2.4, 2.3 to 2.3.3+, 2.2 to 2.2.6+
Reported by:       Andrew Nicols
Issue no.:         MDL-36600
CVE Identifier:    CVE-2012-6103
Changes (master): 
http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-36600

flaw from:
  http://www.openwall.com/lists/oss-security/2013/01/21/1

too (certain parts of the patch would be applicable to Fedora EPEL 5 moodle versions too). But since upstream claims this is issue only for versions of moodle 2.2 and newer, didn't file a dedicated bug for it.

Please double check and apply / backport that CVE-2012-6103 / MSA-13-0007 patch too (if confirmed to be applicable against moodle-1.9.19 version from EPEL 5.

Thank you && Regards, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team
Comment 4 Gwyn Ciesla 2013-01-23 12:38:00 EST
With a bit of massaging, I applied this to 1.9.19, CVE-2012-6103 doesn't seem to apply.  I'll get this out.
Comment 5 Fedora Update System 2013-01-23 13:12:53 EST
moodle-1.9.19-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/moodle-1.9.19-5.el5
Comment 6 Fedora Update System 2013-01-23 16:59:23 EST
Package moodle-1.9.19-5.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing moodle-1.9.19-5.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0171/moodle-1.9.19-5.el5
then log in and leave karma (feedback).
Comment 7 Jan Lieskovsky 2013-01-24 04:43:51 EST
(In reply to comment #4)
> With a bit of massaging, I applied this to 1.9.19, CVE-2012-6103 doesn't
> seem to apply.  I'll get this out.

Thanks, Jon.

Regards, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team
Comment 8 Fedora Update System 2013-02-08 20:47:17 EST
moodle-1.9.19-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.